#!/usr/bin/env python
# ex:
# $ ssh combo.node2.test.saas.entrouvert.org
# $ sudo -u combo combo-manage shell -d portail-braine-l-alleud.test.entrouvert.org < 03_combo_rename_title_connectors.py

import json

from combo.data.models import ConfigJsonCell, Page

page = Page.objects.get(title='Mon compte')
cons = [
    {'old': 'bla-dev', 'new': 'site-web'},
    {'old': 'news-dev', 'new': 'actualites'},
    {'old': 'events-dev', 'new': 'evenements'},
]

nb_updated = 0

for con in cons:
    kwargs = {
        'page': page,
        'placeholder': 'content',
        'parameters__connector': con['old'],
    }
    for cell in ConfigJsonCell.objects.filter(**kwargs):
        cell.parameters['connector'] = con['new']
        cell.save()
        nb_updated += 1


print('%s cells updated on %s page' % (nb_updated, page.get_online_url()))
